> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/set-rasautoupgrademessage.md).

# Set-RASAutoUpgradeMessage

## SYNOPSIS

Modifies an Auto-upgrade Message within Auto-upgrade settings.

## SYNTAX

```powershell
Set-RASAutoUpgradeMessage
 -DefObjType {RDSDef | VDIDef | AVDSingleSessionDefaultSettings | AVDMultiSessionDefaultSettings}
 -MessageId <uint> [-Enabled <bool>] [-Message <string>] [-MessageTitle <string>]
 [-SendMsgSecs <uint>] [-SendMsgWhen {Before | After}] [-SiteId <uint>] [<CommonParameters>]
```

```powershell
Set-RASAutoUpgradeMessage [-Id] <uint> -MessageId <uint>
 -ObjType {RDSHostPool | VDIHostPool | AVDHostPool} [-Enabled <bool>] [-Message <string>]
 [-MessageTitle <string>] [-SendMsgSecs <uint>] [-SendMsgWhen {Before | After}] [<CommonParameters>]
```

```powershell
Set-RASAutoUpgradeMessage [-InputObject] <RASSerilazableObj> -MessageId <uint> [-Enabled <bool>]
 [-Message <string>] [-MessageTitle <string>] [-SendMsgSecs <uint>] [-SendMsgWhen {Before | After}]
 [<CommonParameters>]
```

```powershell
Set-RASAutoUpgradeMessage [-Name] <string> [[-SiteId] <uint>] -MessageId <uint>
 -ObjType {RDSHostPool | VDIHostPool | AVDHostPool} [-Enabled <bool>] [-Message <string>]
 [-MessageTitle <string>] [-SendMsgSecs <uint>] [-SendMsgWhen {Before | After}] [<CommonParameters>]
```

## DESCRIPTION

Modifies an Auto-upgrade Message within Auto-upgrade settings.

## EXAMPLES

### Example 1

```powershell
Set-RASAutoUpgradeMessage -DefObjType RDSDef -MessageId 1 -Enabled 1 -SendMsgSecs 60 -SendMsgWhen Before -MessageTitle "messageTitle" -Message "messageBody"
```

Modifies the specified message by id within the Auto-upgrade settings of the RDS Default Settings.

### Example 2

```powershell
Set-RASAutoUpgradeMessage -Name "VDIHostPool1" -ObjType VDIHostPool -MessageId 1 -Enabled 1 -SendMsgSecs 60 -SendMsgWhen Before -MessageTitle "messageTitle" -Message "messageBody"
```

Modifies the specified message by id within the Auto-upgrade settings of the specified VDIHostPool by Name.

### Example 3

```powershell
Set-RASAutoUpgradeMessage -Id 1 -ObjType AVDHostPool -MessageId 1 -Enabled 1 -SendMsgSecs 60 -SendMsgWhen Before -MessageTitle "messageTitle" -Message "messageBody"
```

Modifies the specified message by id within the Auto-upgrade settings of the specified AVDHostPool by Id.

## PARAMETERS

### -MessageId

Auto-upgrade job message ID.

```yaml
Type: uint
Required: True
Position: Named
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### -Enabled

Whether to enable or disable the message.

```yaml
Type: bool
Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -MessageTitle

The title of the message.

```yaml
Type: string
Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Message

A message that should be sent to users before the job starts.

```yaml
Type: string
Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -SendMsgSecs

Time interval in seconds before the job starts when the message to users should be sent.

```yaml
Type: uint
Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -SendMsgWhen

Whether the message is sent Before/After the AutoUpgrade is triggered.

SendMsgWhen can only be set to After in the case of Reboot.

Possible values: Before, After

Type reference: [SendMsgWhen](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/types/sendmsgwhen.md)

```yaml
Type: SendMsgWhen
Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Name

The name or server for which to modify the Auto-upgrade settings.

```yaml
Type: string
Required: True
Position: 0
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -SiteId

Site ID from which to modify the Auto-upgrade settings.

If the parameter is omitted, the Licensing Server site ID will be used.

```yaml
Type: uint
Required: False
Position: 1
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### -Id

The ID of a server for which to modify the Auto-upgrade settings.

```yaml
Type: uint
Required: True
Position: 0
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### -InputObject

An object of type RDS, RDSHostPool, VDITemplate or VDIDesktop for which to modify the Auto-upgrade settings.

Type reference: [RASSerilazableObj](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/types/rasserilazableobj.md)

```yaml
Type: RASSerilazableObj
Required: True
Position: 0
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -ObjType

The Object Type for which to modify the Auto-upgrade settings.

Possible values: RDSHostPool, VDIHostPool, AVDHostPool

Type reference: [HostPoolObjType](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/types/hostpoolobjtype.md)

```yaml
Type: HostPoolObjType
Required: True
Position: Named
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### -DefObjType

The Default Object Type for which to modify the Auto-upgrade settings.

Possible values: RDSDef, VDIDef, AVDSingleSessionDefaultSettings, AVDMultiSessionDefaultSettings

Type reference: [ServerDefObjType](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/types/serverdefobjtype.md)

```yaml
Type: ServerDefObjType
Required: True
Position: Named
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters

This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### None

## OUTPUTS

### None

## RELATED LINKS

* [Get-RASAutoUpgrade](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/get-rasautoupgrade.md)
* [Add-RASAutoUpgradeMessage](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/add-rasautoupgrademessage.md)
* [Get-RASAutoUpgradeMessage](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/get-rasautoupgrademessage.md)
* [Remove-RASAutoUpgradeMessage](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/remove-rasautoupgrademessage.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/set-rasautoupgrademessage.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
